@echo off
if "%1"=="" goto error
if "%2"=="" goto error


if "%1"=="D:" goto okcd
if "%1"=="d:" goto okcd
if "%1"=="E:" goto okcd
if "%1"=="e:" goto okcd
if "%1"=="F:" goto okcd
if "%1"=="f:" goto okcd
if "%1"=="G:" goto okcd
if "%1"=="g:" goto okcd
if "%1"=="H:" goto okcd
if "%1"=="h:" goto okcd
if "%1"=="I:" goto okcd
if "%1"=="i:" goto okcd
if "%1"=="J:" goto okcd
if "%1"=="j:" goto okcd
if "%1"=="K:" goto okcd
if "%1"=="k:" goto okcd
if "%1"=="L:" goto okcd
if "%1"=="l:" goto okcd
if "%1"=="M:" goto okcd
if "%1"=="m:" goto okcd
if "%1"=="N:" goto okcd
if "%1"=="n:" goto okcd
if "%1"=="O:" goto okcd
if "%1"=="o:" goto okcd
if "%1"=="P:" goto okcd
if "%1"=="p:" goto okcd
if "%1"=="Q:" goto okcd
if "%1"=="q:" goto okcd
if "%1"=="R:" goto okcd
if "%1"=="r:" goto okcd
if "%1"=="S:" goto okcd
if "%1"=="s:" goto okcd
if "%1"=="T:" goto okcd
if "%1"=="t:" goto okcd
if "%1"=="U:" goto okcd
if "%1"=="u:" goto okcd
if "%1"=="V:" goto okcd
if "%1"=="v:" goto okcd
if "%1"=="W:" goto okcd
if "%1"=="w:" goto okcd
if "%1"=="X:" goto okcd
if "%1"=="x:" goto okcd
if "%1"=="Y:" goto okcd
if "%1"=="y:" goto okcd
if "%1"=="Z:" goto okcd
if "%1"=="z:" goto okcd

echo Error: Your CD-ROM Drive letter must be between D: and Z:
goto error

:okcd

if "%2"=="C:" goto okhd
if "%2"=="c:" goto okhd
if "%2"=="D:" goto okhd
if "%2"=="d:" goto okhd
if "%2"=="E:" goto okhd
if "%2"=="e:" goto okhd
if "%2"=="F:" goto okhd
if "%2"=="f:" goto okhd
if "%2"=="G:" goto okhd
if "%2"=="g:" goto okhd
if "%2"=="H:" goto okhd
if "%2"=="h:" goto okhd
if "%2"=="I:" goto okhd
if "%2"=="i:" goto okhd
if "%2"=="J:" goto okhd
if "%2"=="j:" goto okhd
if "%2"=="K:" goto okhd
if "%2"=="k:" goto okhd
if "%2"=="L:" goto okhd
if "%2"=="l:" goto okhd
if "%2"=="M:" goto okhd
if "%2"=="m:" goto okhd
if "%2"=="N:" goto okhd
if "%2"=="n:" goto okhd
if "%2"=="O:" goto okhd
if "%2"=="o:" goto okhd
if "%2"=="P:" goto okhd
if "%2"=="p:" goto okhd
if "%2"=="Q:" goto okhd
if "%2"=="q:" goto okhd
if "%2"=="R:" goto okhd
if "%2"=="r:" goto okhd
if "%2"=="S:" goto okhd
if "%2"=="s:" goto okhd
if "%2"=="T:" goto okhd
if "%2"=="t:" goto okhd
if "%2"=="U:" goto okhd
if "%2"=="u:" goto okhd
if "%2"=="V:" goto okhd
if "%2"=="v:" goto okhd
if "%2"=="W:" goto okhd
if "%2"=="w:" goto okhd
if "%2"=="X:" goto okhd
if "%2"=="x:" goto okhd
if "%2"=="Y:" goto okhd
if "%2"=="y:" goto okhd
if "%2"=="Z:" goto okhd
if "%2"=="z:" goto okhd

echo Error: Your Hard Disk Drive letter must be between C: and Z:
goto error

:okhd

cls
echo Please wait. Copying files from %1\LBA_PREV to %2\LBA...
echo.
%2
cd \
md lba
cd lba
%1
cd \lba_prev
copy . %2
%2
cls
echo Running configuration program...
echo.
setup
cls
echo LBA Preview installed correctly.
echo.
echo To change your configuration type SETUP in the LBA directory.
echo.
echo Type LBA at command prompt to launch preview.
echo.
goto end

:error
echo.
echo Usage :
echo INSTALL Source-Drive Destination-Drive
echo for example : INSTALL D: C: 
echo Will install the LBA Preview from CD-ROM D: to Hard Disk C:
echo Your Hard Disk must have at least 12 MBytes free (12,000,000 Bytes free). 
echo.
:end
